@use "../sable";

.appearance-none {
  @include sable.inter-appearance(none);
}

.select-auto {
  @include sable.inter-user-select(auto);
}
.select-none {
  @include sable.inter-select-none();
}
.select-text {
  @include sable.inter-user-select(text);
}
.select-all {
  @include sable.inter-user-select(all);
}

.touch-auto {
  @include sable.inter-touch-action(auto);
}
.touch-none {
  @include sable.inter-touch-action(none);
}
.touch-manipulation {
  @include sable.inter-touch-action(manipulation);
}

.cursor-auto {
  @include sable.inter-cursor(auto);
}
.cursor-default {
  @include sable.inter-cursor(default);
}
.cursor-pointer {
  @include sable.inter-cursor(pointer);
}
.cursor-wait {
  @include sable.inter-cursor(wait);
}
.cursor-text {
  @include sable.inter-cursor(text);
}
.cursor-move {
  @include sable.inter-cursor(move);
}
.cursor-help {
  @include sable.inter-cursor(help);
}
.cursor-not-allowed {
  @include sable.inter-cursor(not-allowed);
}
.cursor-none {
  @include sable.inter-cursor(none);
}
.cursor-context-menu {
  @include sable.inter-cursor(context-menu);
}
.cursor-progress {
  @include sable.inter-cursor(progress);
}
.cursor-cell {
  @include sable.inter-cursor(cell);
}
.cursor-crosshair {
  @include sable.inter-cursor(crosshair);
}
.cursor-vertical-text {
  @include sable.inter-cursor(vertical-text);
}
.cursor-alias {
  @include sable.inter-cursor(alias);
}
.cursor-copy {
  @include sable.inter-cursor(copy);
}
.cursor-no-drop {
  @include sable.inter-cursor(no-drop);
}
.cursor-grab {
  @include sable.inter-cursor(grab);
}
.cursor-grabbing {
  @include sable.inter-cursor(grabbing);
}
.cursor-all-scroll {
  @include sable.inter-cursor(all-scroll);
}
.cursor-col-resize {
  @include sable.inter-cursor(col-resize);
}
.cursor-row-resize {
  @include sable.inter-cursor(row-resize);
}
.cursor-n-resize {
  @include sable.inter-cursor(n-resize);
}
.cursor-e-resize {
  @include sable.inter-cursor(e-resize);
}
.cursor-s-resize {
  @include sable.inter-cursor(s-resize);
}
.cursor-w-resize {
  @include sable.inter-cursor(w-resize);
}
.cursor-ne-resize {
  @include sable.inter-cursor(ne-resize);
}
.cursor-nw-resize {
  @include sable.inter-cursor(nw-resize);
}
.cursor-se-resize {
  @include sable.inter-cursor(se-resize);
}
.cursor-sw-resize {
  @include sable.inter-cursor(sw-resize);
}
.cursor-ew-resize {
  @include sable.inter-cursor(ew-resize);
}
.cursor-ns-resize {
  @include sable.inter-cursor(ns-resize);
}
.cursor-nesw-resize {
  @include sable.inter-cursor(nesw-resize);
}
.cursor-nwse-resize {
  @include sable.inter-cursor(nwse-resize);
}
.cursor-zoom-in {
  @include sable.inter-cursor(zoom-in);
}
.cursor-zoom-out {
  @include sable.inter-cursor(zoom-out);
}

.resize-none {
  @include sable.inter-resize(none);
}
.resize-y {
  @include sable.inter-resize(vertical);
}
.resize-x {
  @include sable.inter-resize(horizontal);
}
.resize {
  @include sable.inter-resize(both);
}


@each $bpName, $width in sable.$fun-breakpoints {
  @media (min-width: #{$width}) {
    .#{$bpName}\:select-auto {
      @include sable.inter-user-select(auto);
    }
    .#{$bpName}\:select-none {
      @include sable.inter-select-none();
    }
    .#{$bpName}\:select-text {
      @include sable.inter-user-select(text);
    }
    .#{$bpName}\:select-all {
      @include sable.inter-user-select(all);
    }
    
    .#{$bpName}\:touch-auto {
      @include sable.inter-touch-action(auto);
    }
    .#{$bpName}\:touch-none {
      @include sable.inter-touch-action(none);
    }
    .#{$bpName}\:touch-manipulation {
      @include sable.inter-touch-action(manipulation);
    }

    .#{$bpName}\:resize-none {
      @include sable.inter-resize(none);
    }
    .#{$bpName}\:resize-y {
      @include sable.inter-resize(vertical);
    }
    .#{$bpName}\:resize-x {
      @include sable.inter-resize(horizontal);
    }
    .#{$bpName}\:resize {
      @include sable.inter-resize(both);
    }
  }
}
